<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Laoding content</title>
    <link rel="stylesheet" href="./loading.css" />
    <style>
      body {
        display: flex;
        flex-direction: row;
      }

      .test {
        display: flex;
        flex-direction: row;
      }
      .sidebar_container {
        display: block;
        height: 300px;
        width: 300px;
        background-color: lightgreen;
        margin: 32px;
        position: relative;
      }

      .main_container {
        display: block;
        width: 800px;
        height: 800px;
        background-color: lightpink;
        margin: 32px;
        position: relative;
      }
    </style>
  </head>
  <body>
    <!-- <div class="load-wrapp">
      <div class="load-3">
        <p>Loading 3</p>
        <div class="line"></div>
        <div class="line"></div>
        <div class="line"></div>
      </div>
    </div> -->

    <div class="test">
      <div class="sidebar_container" id="sidebar-container">
        <h1>alot object</h1>
        <h1>alot object</h1>
        <h1>alot object</h1>
        <h1>alot object</h1>
        <h1>alot object</h1>
        <h1>alot object</h1>
        <h1>alot object</h1>
        <h1>alot object</h1>
        <h1>alot object</h1>
        <h1>alot object</h1>
      </div>
      <div class="main_container" id="main-container">
        <h1>alot object</h1>
        <h2>alot object</h2>
        <h3>alot object</h3>
        <h4>alot object</h4>
        <h5>alot object</h5>
        <h6>alot object</h6>
      </div>
    </div>
    <div class="button__area">
      <button onclick="showLoading('sidebar-container',true)">sidebar</button>
      <button onclick="showLoading('main-container',true)">main</button>

      <button onclick="showLoading('sidebar-container',false)">
        closesidebar
      </button>
      <button onclick="showLoading('main-container',false)">closemain</button>
    </div>
    <script>
      function loadingInit() {
        let wrapDiv = document.createElement("div");
        let loadingDiv = document.createElement("div");
        let lineDiv1 = document.createElement("div");
        let lineDiv2 = document.createElement("div");
        let lineDiv3 = document.createElement("div");

        wrapDiv.className = "load-wrapp";
        loadingDiv.className = "load-3";
        lineDiv1.className = "line";
        lineDiv2.className = "line";
        lineDiv3.className = "line";
        loadingDiv.appendChild(lineDiv1);
        loadingDiv.appendChild(lineDiv2);
        loadingDiv.appendChild(lineDiv3);
        wrapDiv.appendChild(loadingDiv);

        return wrapDiv;
      }

      function showLoading(contentArea, showStatus) {
        if (showStatus) {
          let container = document.getElementById(`${contentArea}`);
          let loadEffect = loadingInit();

          container.style.position = "relative";
          let child = container.firstElementChild;

          container.insertBefore(loadEffect, child);
        } else {
          let container = document.getElementById(`${contentArea}`);

          container.style.position = "";

          let child = container.firstElementChild;

          container.removeChild(child);
        }
      }
    </script>
  </body>
</html>
